#!/bin/sh
[ $# -ge 1 ] || exit 1

id=$1
file=$(./wikiname.php $id)
mkdir -p $(dirname "$file")

echo "parsing into $file"
xsltproc --param id "$id" --xinclude dirs.xsl dirs.xml > "$file"
chmod a+rw "$file"
