<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:str="http://exslt.org/strings"
	extension-element-prefixes="str"
>
<xsl:strip-space elements="*" />
<xsl:output encoding="utf-8" method="text" />

<xsl:template match="/resultset">
	<!-- todo, match here <field name="id"> == "1" -->
	<xsl:apply-templates select="row[field/@name='id']"/>
</xsl:template>

<!--
<resultset statement="select a.node_id id,a.name title,b.node_id xid,b.name xtitle from cowiki_node a, cowiki_node b where b.is_index='Y' and b.parent_id=a.node_id
" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <row>
	<field name="id">1</field>
	<field name="title">Site</field>
	<field name="xid">3</field>
	<field name="xtitle">Welcome to the DELFI wiki</field>
  </row>
-->

<xsl:template match="row">

<!-- todo, make parent call only proper row -->
<xsl:if test="$id = field[@name='id']">
	<!-- display page redirect -->
	<xsl:text>~~REDIRECT&gt;</xsl:text>
	<xsl:value-of select="field[@name='xtitle']"/>
	<xsl:text>~~</xsl:text>

	<!--
	<xsl:text>====== </xsl:text>
	<xsl:value-of select="field[@name='title']"/>
	<xsl:text> ======&#10;</xsl:text>

	<xsl:text>This is directory index to [[</xsl:text>
	<xsl:value-of select="field[@name='xid']"/>
	<xsl:text>|</xsl:text>
	<xsl:value-of select="field[@name='xtitle']"/>
	<xsl:text>]]</xsl:text>
	<xsl:text>&#10;</xsl:text>
	-->

</xsl:if>
</xsl:template>

</xsl:stylesheet>
